Subject: Re: bug#23638: "load" should use directory from load-file-name as a final fallback

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 08 May 2022 14:22:47 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> It sounds convenient, but also kinda chaotic -- if I load "/tmp/foo.el",
> then I may not want to load anything else from "/tmp/" just because
> "/tmp/foo.el" says "(require 'bar)".  That is, it sounds kinda insecure.
>
> There's also the issue of being consistent -- today,
> '(load "/tmp/foo.el")' and `C-x C-f /tmp/foo.el RET' and then
> `eval-buffer' gives the same result...  but this wouldn't be the case if
> we changed `load' this way.
>
> Now, we could add a new command `load-file-with-directory' or something
> that would do this -- that would be more clear, at least, that we're
> playing games with `load-path', and would be almost as convenient as if
> `load' did this itself.
>
> Any opinions here?

Nobody had any opinions here in a year, so I think the conclusion is
that we don't want to do this, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no